/*
  Face.h
  
  Author: Sergi Diaz Planas (2017)
*/
#ifndef FACE_H
#define FACE_H

/*  This class models a face image. It was born out of the
 *  convenience of storing the (x,y) position of the eyes
 *  found in such images.
 *
 * */

#include <vector>
#include "Image.h"

class Face : public Image
{
public:
    Face(); // Constructor

    // Set eyes position. Note that this function is not expected to be
    // called from outside of a C++ context.
    void setEyes(std::vector<cv::Point> eyes);

    // Get eyes position
    int getLeftX();
    int getLeftY();
    int getRightX();
    int getRightY();

    int* getLeftEye(int left[]);
    int* getRightEye(int right[]);

private:
    std::vector<cv::Point> eyes;
};

#endif // FACE_H
